QGIS Application - Bug report #709
Crash when using SPIT to import shapefiles
2007-04-28 07:54 AM - eskea -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category:

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10768
Description

Steps to reproduce:

1. Start QGIS

2. Plugins -> Spit -> Import Shapefiles to [[PostgreSQL]]

3. Click "Add"

4. Double-click a shapefile (I'm trying to use SRTM shapefiles, e.g. "w005n57e.shp", downloaded from
"ftp://e0srp01u.ecs.nasa.gov/srtm/version2/SRTM3/Eurasia")

What happens:

A dialog box with a progress bar appears very briefly. Then QGIS closes, and writes the following on the console:
Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/share/qt4/include/QtCore/glist.h, line 378
Aborted (core dumped)

Extra information:

OS: Ubuntu 7.04

Hardware: Pentium M 1.8, 1GB RAM

QGIS Version: 0.8.0 (Ubuntu packages from download.qgis.org, to get them to install | had to install libgdal1-1.3.1-6 from Ubuntu 6.10.)
libgt4 version: 4.2.3-Oubuntu3

postgresql-8.1 version: 8.1.8-1ubuntu3

postgresql-8.1-postgis version: 1.1.6-2

History

#1 - 2007-04-28 08:10 AM - eskea -

Sorry! | made a mistake. The URL to the shapefiles I'm trying to use is actually ftp://e0srp01u.ecs.nasa.gov/srtm/version2/SWBD/

That is, the SRTM Water Body Dataset.

#2 - 2007-05-13 08:28 AM - Gary Sherman
- Status changed from Open to In Progress
#3 - 2007-08-06 04:57 AM - Martin Dobias

- Resolution set to fixed
- Status changed from In Progress to Closed

Fixed in commit:6228d9f4 (SVN r7127).
ftp://e0srp01u.ecs.nasa.gov/srtm/version2/SWBD/

#4 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
